#ifndef _SOUND_MODULE_
#define _SOUND_MODULE_

#include <QObject>
#include <QThread>
#include <QProcess>
#include <QString>
#include <QStringList>

#include "Applet.h"
#include "libubudsl/Globals.h"

class ProcessThread: public QThread
{
    Q_OBJECT
public:
    ProcessThread( QObject *parent = 0 );
    QProcess *playProcess;
    void playSound( const QString &soundPath );
private:
    void run();
    QString soundPath;
};

class SoundModule: public QObject
{
    Q_OBJECT
public:
    SoundModule( Applet *parent );
private:
    void stop();
    const static QString soundsPath;

    ProcessThread *processThread;

    QString sndConnected;
    QString sndDisconnected;
    QString sndError;
    QString sndPlugged;
    QString sndUnplugged;

private slots:
    void playSndConnected();
    void playSndDisconnected();
    void playSndError();
    void playSndPlugged();
    void playSndUnplugged();
};

extern SoundModule *soundModule;

#endif
