/*
 * File: Firmware.cpp
 * Author: Adrian Łubik (2008)
 * License: GNU LGPL v3
 */

#include "Firmware.h"

Firmware::Firmware( QThread *parent )
        :QObject( parent ),
        m_tarProc( new QProcess( 0 ) ),
        m_destDir( new QDir )
{
    if ( parent != NULL )
        m_tarProc->moveToThread( parent );
}

Firmware::~Firmware()
{
    delete m_tarProc;
    delete m_destDir;
}

bool Firmware::installFirmware( const QString &tarArch, const QString &destPath )
{
    if ( !QFileInfo::QFileInfo( tarArch ).exists() )
        return false;

    if ( !m_destDir->exists( destPath ) )
        m_destDir->mkpath( destPath );

    m_tarProc->start( "tar", QStringList() << "-C" << destPath << "-xf" << tarArch );
    m_tarProc->waitForFinished();

    if ( m_tarProc->exitCode() != 0 )
        return false;
    else
        return true;
}
