%define name	   ubudsl
%define version    1.0.0.277
%define release    1pclos
%define pkg_info   %{version}_%{release}

Name: %name
Version: %version 
Release: %release
Summary: UbuDSL - an ADSL connection configuration tool.
License: LGPL
Group: System
ExclusiveArch: i586 x86_64
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}-%{version}
Packager: adrian5632
Url: http://ubudsl.com/
Provides: libubudsl.so.1
Distribution: PCLinuxOS
Requires: alsa-utils ppp libc.so.6 libgcc_s.so.1 libglib-2.0.so.0 libgthread-2.0.so.0 libICE.so.6 libm.so.6 libpng12.so.0 libpthread.so.0 libQtCore.so.4 libQtDBus.so.4 libQtGui.so.4 libQtNetwork.so.4 libQtXml.so.4 libresolv.so.2 librt.so.1 libSM.so.6 libstdc++.so.6  libX11.so.6 
BuildRequires: libqt4-devel >= 4.3.0 qt4-linguist >= 4.3.0
Autoreq: 0


%description
UbuDSL helps you configure and manage your ADSL connection.
It supports only USB ADSL modems such as Sagem F@st 800,
Thomson SpeedTouch 330, ZTE ZXDSL 852 and other which are
supported by the ueagle-atm, speedtch, cxacru and unicorn-usb-eth
drivers.

%clean
rm -rf %{buildroot} %{_builddir}/%{name}-%{version}

%prep
%setup -q

%build
mkdir build
cd build
cmake -DPKG_INFO="%{pkg_info}" -DMODULES="SoundModule;ConnectionLogModule" -DPCLINUXOS:BOOL=ON -DLIB_64:BOOL=OFF -DNO_START_STOP_DAEMON:BOOL=ON -DBUILTIN_BR2684CTL:BOOL=ON -DQT_QMAKE_EXECUTABLE=/usr/lib/qt4/bin/qmake -DCMAKE_INSTALL_PREFIX=/usr ..
%make

%install
rm -rf %buildroot
cd build
DESTDIR=%buildroot make install
cd ..
rm -rf %buildroot/usr/include/libubudsl
rm -f %buildroot/usr/share/ubudsl/drivers/precompiled/Ubuntu*
rm -f %buildroot/usr/share/ubudsl/drivers/precompiled/SuSE*

%post
if [ -x /usr/lib/lsb/install_initd ]; then
  /usr/lib/lsb/install_initd /etc/init.d/ubudsld
elif [ -x /sbin/chkconfig ]; then
  /sbin/chkconfig --add ubudsld
else
   for i in 2 3 4 5; do
        ln -sf /etc/init.d/ubudsld /etc/rc.d/rc${i}.d/S90ubudsld
   done
   for i in 1 6; do
        ln -sf /etc/init.d/ubudsld /etc/rc.d/rc${i}.d/K10ubudsld
   done
fi
/etc/init.d/messagebus restart > /dev/null 2>&1
/etc/init.d/ubudsld start > /dev/null 2>&1

%preun
if [ $1 = 0 ]; then
  /etc/init.d/ubudsld stop  > /dev/null 2>&1
  if [ -x /usr/lib/lsb/remove_initd ]; then
    /usr/lib/lsb/install_initd /etc/init.d/ubudsld
  elif [ -x /sbin/chkconfig ]; then
    /sbin/chkconfig --del ubudsld
  else
    rm -f /etc/rc.d/rc?.d/???ubudsld
  fi
fi

%postun
rm -rf /var/log/ubudsl
ldconfig

%files
%defattr(-,root,root) 
   /etc/acpi/*
   /etc/dbus-1/system.d/ubudsl.conf
   /etc/init.d/ubudsld
   /usr/bin/UbuDSL_Applet
   /usr/bin/UbuDSL_Applet.bin
   /usr/bin/UbuDSL_LogGenerator
   /usr/bin/ubudsl
   /usr/bin/ubudsl.bin
   /usr/bin/ubudsl_cmd.bin
   /usr/bin/ubudsl_helper
   /usr/bin/ubudslshell
   /usr/lib/libubudsl.so
   /usr/lib/libubudsl.so.1
   /usr/lib/libubudsl.so.1.1.0
   /usr/sbin/ubudsldaemon
   /usr/share/applications/ubudsl_applet.desktop
   /usr/share/applications/ubudsl_configuration.desktop
   /usr/share/pixmaps/ubudsl.png
   /usr/share/ubudsl/*

