#ifndef COMPILERTHREAD_H_
#define COMPILERTHREAD_H_

#include <QThread>
#include <QString>
#include <QList>
#include <QListIterator>

#include "libubudsl/libubudsl.h"

class UbuDSL_Daemon;

class CompilerThread: public QThread
{
    Q_OBJECT
public:
    enum Result
    {
        Success,
        CompilationFailed,
        InstallationFailed,
        DriverTested
    };

    CompilerThread( const UbuDSL_Daemon *, const QString &driverName = "", QObject *parent = 0 );
    virtual ~CompilerThread();

    void run();
    int  testDriver();
    void setDriverName( const QString &driverName );
    int  getResult();

private:
    bool installPrecompiledDriver( const ModemManager::ModemDriver &driver );
    QList<ModemManager::ModemDriver> m_drivers;
    QString m_driverName;
    Result  m_result;
};

#endif /*COMPILERTHREAD_H_*/
