#ifndef STATS_H_
#define STATS_H_

#include <QObject>
#include <QString>
#include <QTimer>

#include <net/ppp_defs.h>
#include <net/if.h>
#include <net/if_ppp.h>
#include <netinet/in.h>

class Stats: public QObject
{
    Q_OBJECT
public:
    /* This structure stays the INFO variables */
    struct DataStats
    {
      unsigned long rx_packets;	/* This is for RX LED/TX PACKETS INFO */
      unsigned long rx_errors;	/* Shows how many erros has ocurred on receive */
      double rx_bytes;		/* How many bytes has received */
      /* --------------------------------------------------------------------- */
      unsigned long tx_packets;	/* This is for TX LED/TX PACKETS INFO */
      unsigned long tx_errors;	/* Shows how many erros has ocurred on transmition */
      double tx_bytes;		/* How many Bytes has sent */
      /* --------------------COMPARATION-VARIABLES---------------------------- */
      double rx_bps;
      double tx_bps;
    };

    Stats( const QString &interface );
    void setInterface( const QString &interface );

public slots:
    void startStatsTimer();
    void stopStatsTimer();

private:
    int getStat();
    int getPPPStats( struct ppp_stats *cur );

    QString m_interface;
    QTimer *m_timer;
    DataStats m_stats;
    int m_ppp_s;

private slots:
    void update();

signals:
    void statsAvailable( const Stats::DataStats & );
    void statsError( const double &lastRxBytes, const double &lastTxBytes );
};

#endif
